# Retrieve price option groups

Use the **searchPriceOptionGroups** to extract information on the price option groups you configured.

## Request parameters

| Parameter                      | Type / Description                                                                                                                                                                                                                                                                                     |
| ------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `sessionID`                    | <p><strong>Required (string)</strong><br>Session identifier, the output of the <strong>Login</strong> method. Include <code>sessionID</code> into all your requests. 2Checkout throws an exception if the values are incorrect. The <code>sessionID</code> expires in <strong>10 minutes</strong>.</p> |
| `PriceOptionGroupSearch`       | <p><strong>Optional (object)</strong></p><p>Details below</p>                                                                                                                                                                                                                                          |
| `PriceOptionGroupSearch.Name`  | <p><strong>Optional (string)</strong><br>The name of the pricing options groups configured in the 2Checkout system. Can be NULL.</p>                                                                                                                                                                   |
| `PriceOptionGroupSearch.Types` | <p><strong>Optional (array)</strong><br>Possible values:</p><ul><li>RADIO</li><li>CHECKBOX</li><li>INTERVAL</li><li>COMBO</li></ul><p>Can be NULL.</p>                                                                                                                                                 |
| `PriceOptionGroupSearch.Limit` | <p><strong>Optional (int)</strong><br>Number of results displayed per page. Default maximum value is 10. Can be NULL.</p>                                                                                                                                                                              |
| `PriceOptionGroupSearch.Page`  | <p><strong>Optional (int)</strong><br>A specific page of search results. Default value is 1. Can be NULL.</p>                                                                                                                                                                                          |

## Response parameters

| Parameter                                                                                                                    | Type                 |
| ---------------------------------------------------------------------------------------------------------------------------- | -------------------- |
| [**PriceOptionGroup**](https://verifone.cloud/docs/2checkout/API-Integration/SOAP_API_6.0/API-Responses/004Pricing-options/) | **Array of objects** |

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

try {
    $existentPriceOptions = $client->searchPriceOptionGroups($sessionID, $SearchOptions);
}

catch (SoapFault $e) {
    echo "existentPriceOptions: " . $e->getMessage();
    exit;
}

var_dump("existentPriceOptionst", $existentPriceOptions);

?>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/pricing-options/retrieve-price-option-groups.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
